/*******************************************************************************************
*     MT-10T7                                                   *
*  0.1                                                                               *
*  27  2005                                                               *
*  28  2005                                                             *
*                                                                *
*******************************************************************************************/

#ifndef MT10T7_H
#define MT10T7_H

#include "main.h"
#include <pgmspace.h>

#define ADDR_BYTE         0                           //  
#define DATA_BYTE         1                           // 

#define SPACE_BYTE        64                          //
#define END_BYTE          2                           //  

#define A0                PORTD_Bit6                  // 
#define WR1               PORTC_Bit3                  //
#define DB0               PORTD_Bit2

#define DOT_MT            4                           //    

#define a                 0x08
#define b                 0x20
#define c                 0x40
#define d                 0x04
#define e                 0x02
#define f                 0x80
#define g                 0x01
#define h                 0x10


// 
void lcd_write_byte(char byte, char mode);
void lcd_init(void);
void lcd_clear(void);
void lcd_putchar(char byte,char dot);
void lcd_puts(char __flash *s, unsigned char cl_flag);
void lcd_puts_ui(unsigned int ui);
#endif

